﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.DataAnalysis.MctsSymbolicRegression {
  public interface IConstraintHandler {
    bool IsInvalidExpression { get;    }
    bool IsAllowedFollowState(int currentState, int followState);
    void Reset();
    void StartTerm();
    void StartFactor(int state);
    void AddVarToCurrentFactor(int state);
    void StartNewTermInPoly();
    void EndFactor();
    void EndTerm();
  }
}
